[project]
name = "q-table"
version = "0.1.0"
description = ""
authors = [
    {name = "fbdeme",email = "90471819+fbdeme@users.noreply.github.com"}
]
readme = "README.md"
requires-python = ">=3.11,<3.14"
dependencies = [
    "gymnasium (>=1.2.0,<2.0.0)",
    "numpy (>=2.3.3,<3.0.0)",
    "h5py (>=3.14.0,<4.0.0)",
    "pyyaml (>=6.0.2,<7.0.0)",
    "torch (>=2.8.0,<3.0.0)"
]


[tool.poetry]
package-mode = false

[build-system]
requires = ["poetry-core>=2.0.0,<3.0.0"]
build-backend = "poetry.core.masonry.api"
